import './css/App.css';
import { Route, Routes } from 'react-router-dom';
import HomePage from './pages/HomePage';
import { Component, createContext } from 'react';
import Navbar from './components/Navbar';
import ChatPage from './pages/ChatPage';

class App extends Component {
  constructor(props) {
    super(props);
    this.AuthContext = createContext()
    this.AuthState = {
      authenticated: false
    }
  }
  render() {
    return (
      <div className='App'>
        <this.AuthContext.Provider value={this.AuthState} >
          <Navbar />
          <Routes>
            <Route path='/' element={<HomePage />} />
            <Route path='/chat-page' element={<ChatPage />} />
            <Route path='/' element={<HomePage />} />
          </Routes>
        </this.AuthContext.Provider>
      </div >
    );
  }
}

export default App;
